Bug 121573 - New printer wizard doesn't configure Installable Options
New printer wizard doesn't configure Installable Options
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
: FutureFeature
Depends On:
Blocks: F9Target
  Show dependency treegraph
 
Reported: 2004-04-23 08:50 EDT by Rick Richardson
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.7.78-1.fc9
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-26 09:29:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rick Richardson 2004-04-23 08:50:16 EDT
I am, unfortunately, part of the support department for this spooling
system, having written a couple of foomatic printer drivers.

Time after time I get email from newbies who cannot figure out how to
configure the options on their printers (paper size/type, color, etc.).

The problem is that the New printer "wizard" neglects to take these
newbies thru the "Driver Options" screen, which allows them to select
printer options.  After the Wizard completes, these newbies cannot
seem to figure out how to get to that screen.

Even to me, it seems very awkward to describe the process to them: 
First, New Printer, then Edit Printers, then Driver Options.

I am certain I would get a lot fewer support emails from Redhat users
if the Driver Options screen was shown to these newbies when they are
adding a New printer in the first place.

I plead with you to fix your user interface.  BTW, the CUPS user
interface also suffers from this same malady, and I have filed an
enhancement request for their wizard as well.

-Rick
Comment 1 Tim Waugh 2004-04-30 07:34:25 EDT
The point of the wizard is to minimally configure a queue that works
-- it's not really appropriate to cover every possible eventuality in
it IMHO.  If there is an option you *always* have to change, it's
clearly got the wrong default. (If this is the case, which options are
like this?)

If people are having a hard time finding out how to edit the queue
after it has been configured, we need to fix *that*.

Can you help me understand why this isn't already easy?  There is an
'edit' button right there on the button bar.  Perhaps there should be
text in the wizard pointing it out or something.  Or perhaps it should
be called 'options' instead of 'edit'.
Comment 2 Rick Richardson 2004-10-16 09:48:52 EDT
For better or worse, these days you are forced to make individual
printer queues.  One for color, one for mono.  One for 1-up, one for
2-up, one for 4-up.  One for duplex, one for no duplex.  And n
combinations of those options.  And of course, you always have to set
the paper size if you aren't in (country of specific printer driver
author).  This is the corner that we have been painted into by other
programmers.  Its certainly not the bed I'd make for myself.  One
queue should be all you ever need, with most options passed at the
time you print.  But I digress.

It seems cumbersome to me that the printer options screen isn't
offered in the main flow of creating a new printer queue.  And based
on the email I continue to get from newbies, its cumbersome for them
as well.

All you guys are doing by concealing this screen is adding additional
confusion and clicky-clickies to get a printer queue configured.  What
is so wrong about showing them this screen as part of the
New->Next->Next->Next wizard sequence?



Comment 3 Matthew Miller 2006-07-10 17:49:04 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 Tim Waugh 2006-08-16 05:44:47 EDT
Starting with 0.7.x system-config-printer has been re-written, and is now PPD-based.

An obvious thing that probably should go into the 'new printer' wizard at some
point is the ability to set the "installable" options, such as whether a
duplexer is attached etc.
Comment 5 Tim Waugh 2007-09-21 13:49:59 EDT
This just missed F-8 but has gone in upstream.  Hopefully an F-8 update will get
it, or else F-9.

Note You need to log in before you can comment on or make changes to this bug.